"use strict";
const item_validator_1 = require("../validation/item_validator");
class Controller {
    validate(ctx, cb) {
        let params;
        if (ctx.request.method === 'GET') {
            params = ctx.request.query;
        }
        else {
            params = ctx.request.body;
        }
        return cb(this._validate(params));
    }
    _validate(item) {
        return new item_validator_1.ItemValidator(item);
    }
    ;
}
exports.Controller = Controller;
