"use strict";
const log4js = require("log4js");
exports.DEFAULT_LOG_LEVEL = 'TRACE';
log4js.replaceConsole();
log4js.setGlobalLogLevel(exports.DEFAULT_LOG_LEVEL);
function getLogger(config) {
    const logger = log4js.getLogger();
    let logLevel = exports.DEFAULT_LOG_LEVEL;
    if (config.has('logLevel')) {
        log4js.setGlobalLogLevel(config.get('logLevel'));
        logLevel = config.get('logLevel');
    }
    logger.setLevel(logLevel);
    return logger;
}
exports.getLogger = getLogger;
